写在前面

因系统的一个问题,本人使用系统镜像重新对本人机器覆盖安装了manjaro操作系统,导致系统无法更新,且输入法不能使用

问题

因以上问题,导致输入法不可用,且pacman 这个版本貌似没有-f强制安装的选项,本人就只好在安装时,将报错的已经存在的系统文件目录整理,并使用脚本删除,重新再安装fcitx及搜狗输入法,安装完成后还是不能调用输入法使用

解决方法

本人再https://www.v2ex.com/t/473456 一文的评论中找到了答案,即:安装fcitx-qt4 fcitx-qt5 fcitx-gtk2 fcitx-gtk3

安装命令:

[cyalias@manjaro01 ~]$ sudo pacman -S fcitx-qt4 fcitx-qt5 fcitx-gtk2 fcitx-gtk3

注销账户,重新登录后,输入法使用正常(本操作是正常安装输入法的所有设定都已经设置OK的,本文不再撰写)

参考地址:https://www.v2ex.com/t/473456 第十三楼的评论